C           PROGRAMME NUT2003B.FOR
C
C NUT2003B.FOR extracts residuals in ecliptic longitude and
C obliquity of the ecliptic and their standard errors,
C compared to the 1980 IAU model of Wahr, from the file
C 2003b.eops on the Goddard Space Flight Center website.
C They are then converted to Cartesian co-ordinates of
C the celestial pole before output.
C  
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      OPEN(UNIT=1,FILE='2003b.eops',STATUS='OLD')
      OPEN(UNIT=2,FILE='nut2003b.dat',STATUS='UNKNOWN')
C Read in extracted residuals in longitude and obliquity.
      DO 10,I=1,3369
        READ(1,11)DAY,XWOB,YWOB,UT1MC,PSI,EPS,EXWOB,EYWOB,
     1  EUT1MC,SEPSI,SEEPS,WMS,C1,C2,C3,C4,N,SC,SD,RX,RY,
     2  DLOD,F1,F2,UX,UY,UL,Q1,Q2
 11     FORMAT(1X,F12.6,2F9.6,F11.7,2F9.3,2F9.6,F10.7,2F8.3,
     1  F8.2,4F7.4,I7,A7,F6.2,2F10.6,F11.7,2A3,2F10.6,F11.7,2A3)
C Set time origin to zero.
        DAY=DAY-44089.993750D0
C Find Cartesian co-ordinates of the celestial pole and their
C standard errors.
        XNUT=0.39777716D0*PSI
        SEXNUT=0.39777716D0*SEPSI
        YNUT=EPS
        SEYNUT=SEEPS
C Write out extracted co-ordinates of the celestial pole. 
        WRITE(2,12)I,DAY,XNUT,SEXNUT,YNUT,SEYNUT
 12     FORMAT(1X,I4,F15.6,4F10.3)
 10   CONTINUE
      END
